You are not logged in.

#1 2012-08-30 11:38:12

Bulkin
Member
Registered: 2012-08-30
Posts: 5

linux-3.5: Wacom Penabled tablets broken

After upgrading to linux-3.5 the wacom tablet on my TabletPC isn't recognized by udev and doesn't work (no special files in /dev/input). Not sure if it concerns separate wacom tablets. Tried wacom-next-linux-git from AUR — same result.

$ lsusb | grep Wacom
Bus 002 Device 004: ID 056a:00e3 Wacom Co., Ltd
$ dmesg | grep wacom
[    2.981107] usbcore: registered new interface driver wacom

Offline

#2 2012-08-30 20:45:05

wes
Member
Registered: 2011-03-05
Posts: 65

Re: linux-3.5: Wacom Penabled tablets broken

I fixed something similar two days back:

https://bbs.archlinux.org/viewtopic.php?id=147887

Note that you not only had to downgrade the kernel, but also reinstall xf86-input-wacom.

Offline

#3 2012-08-30 22:33:54

Bulkin
Member
Registered: 2012-08-30
Posts: 5

Re: linux-3.5: Wacom Penabled tablets broken

I don't consider downgrading the kernel a fix: it breaks too many things in the long run on distros like Arch.
BTW, xf86-input-wacom-0.16.0-1 (current stable version in repos) works fine.

Offline

#4 2012-08-31 01:05:45

wes
Member
Registered: 2011-03-05
Posts: 65

Re: linux-3.5: Wacom Penabled tablets broken

Bulkin wrote:

I don't consider downgrading the kernel a fix: it breaks too
many things in the long run on distros like Arch.

Indeed.  I meant "workaround".

Bulkin wrote:

xf86-input-wacom-0.16.0-1 (current stable version in repos)
works fine.

"Works fine" as in you didn't need to reinstall?  In my case reinstalling was
necessary.  But I didn't downgrade it.

Offline

#5 2012-08-31 09:17:42

Bulkin
Member
Registered: 2012-08-30
Posts: 5

Re: linux-3.5: Wacom Penabled tablets broken

wes wrote:

"Works fine" as in you didn't need to reinstall?  In my case reinstalling was
necessary.  But I didn't downgrade it.

Of course not. In most cases reinstallation only helps when the files owned by the package are corrupted.

Offline

#6 2012-08-31 18:26:52

wes
Member
Registered: 2011-03-05
Posts: 65

Re: linux-3.5: Wacom Penabled tablets broken

Indeed, one would think that for an installed package, "pacman -R blah ;
pacman -S blah" is the identity transformation, but alas, but I went through
this twice, and nothing worked until reinstalling.  I'm way out of time for
dealing with this now, but I'm glad it worked more easily for you.

Offline

#7 2012-09-26 17:49:16

71GA
Member
From: Slovenia
Registered: 2012-09-15
Posts: 262
Website

Re: linux-3.5: Wacom Penabled tablets broken

Is it possible that my wacom tablet isnt working because i am trying to make it work on a VirtualBox???


Arch Linux user dealing with ARM9 / ARM Cortex-M developement in Kdevelop IDE, 3D modeling in Bricscad, PCB production in EAGLE CAD, 3D animation in Blender, milling through LinuxCNC and songwriting in Bitwig & GuitarPRO.

Offline

Board footer

Powered by FluxBB